org.eclipse.rdf4j.workbench.commands

## Class SummaryServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet
    - - org.eclipse.rdf4j.workbench.base.TransformationServlet
      - - org.eclipse.rdf4j.workbench.commands.SummaryServlet

- All Implemented Interfaces:
    javax.servlet.Servlet, RepositoryServlet

      public class SummaryServlet
      extends TransformationServlet

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `CONTEXT, cookies, INFO, NON_VERIFYING_PARSER_CONFIG`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `info, manager, MANAGER_PARAM, repository, REPOSITORY_PARAM, vf`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SummaryServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `service(TupleResultBuilder builder, String xslPath)`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `doPost, getCookieNames, init, service, service`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `setRepository, setRepositoryInfo, setRepositoryManager`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Constructor Detail

    - #### SummaryServlet

          public SummaryServlet()

  - ### Method Detail

    - #### service

          public void service(TupleResultBuilder builder,
                              String xslPath)
                       throws RepositoryException,
                              QueryEvaluationException,
                              MalformedQueryException,
                              QueryResultHandlerException

      Overrides:
        `service` in class `TransformationServlet`
      Throws:
        `RepositoryException`
        `QueryEvaluationException`
        `MalformedQueryException`
        `QueryResultHandlerException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.